Bug 193447 - mozplugger trouble with pdf's
mozplugger trouble with pdf's
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mozplugger (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-28 17:27 EDT by sean
Modified: 2008-05-06 20:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:31:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sean 2006-05-28 17:27:27 EDT
Description of problem:
Using fc5 rawhide on amd64, firefox won't open pdf's except with kpdf

Version-Release number of selected component (if applicable):
firefox-1.5.0.3-2
mozplugger-1.7.3-3
evince-0.5.3-1
xpdf-3.01-12.1
kdegraphics-3.5.2-0.1.fc5


Additional info:

With default mozpluggerrc, ACROREAD is used to open pdf's on firefox. When you
try this you just get a blank browser page no acroread, no pages- probably
because this is firefox.x86_64 and acroread is i386.

edit mozpluggerc to make evince the default, and open a pdf. Here evince does
start and appear within the browser, but no pages appear.

if kpdf is the default it works.

xpdf and GV() both load but give _very_ messed pages - not just unreadable.

And if I comment out all the pdf portion of mozpluggerrc:
# application/pdf:pdf:PDF file
# application/x-pdf:pdf:PDF file
# text/pdf:pdf:PDF file
# text/x-pdf:pdf:PDF file
#	repeat noisy swallow(kpdf) fill: kpdf "$file"
#	repeat noisy swallow(evince) fill: evince "$file"
#	repeat noisy swallow(Xpdf) fill: xpdf -g +9000+9000 "$file"
#	GV()
#	ACROREAD()

I get a mozplugger error message: "No appropriate application found"


I realize this is a lot like bug 182234 which was closed as NOTABUG, but at
least as shipped mozplugger doesn't work with pdf's. What's more there seems no
way to open a pdf file externally.
Comment 1 Bug Zapper 2008-04-03 13:17:54 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Bug Zapper 2008-05-06 20:31:01 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.